cURL
curl --request POST \ --url https://api.eflow.team/v1/affiliates/deals \ --header 'Content-Type: application/json' \ --header 'X-Eflow-Api-Key: <api-key>' \ --data ' { "network_offer_ids": [ 1, 2, 3 ], "page": 1, "page_size": 50 } '
{ "deals": [ { "network_advertiser_deal_id": 123, "name": "<string>", "deal_type": "<string>", "deal_status": "<string>", "deal_categories": [ "<string>" ], "network_id": 123, "description": "<string>", "brand_name": "<string>", "scope": "<string>", "restrictions": "<string>", "coupon_code": "<string>", "coupon_code_discount_amount": 123, "coupon_code_discount_percentage": 123, "coupon_code_discount_currency_id": "<string>", "threshold_amount": 123, "threshold_amount_currency_id": "<string>", "threshold_quantity": 123, "purchase_limit_amount": 123, "purchase_limit_amount_currency_id": "<string>", "purchase_limit_quantity": 123, "date_valid_from": "2023-11-07T05:31:56Z", "date_valid_to": "2023-11-07T05:31:56Z", "date_valid_timezone_id": 123, "time_created": 1734455015, "time_saved": 1734455015, "time_deleted": 1734455015, "relationship": { "deal_resources": [ {} ], "has_products": true, "offers": [ { "network_offer_id": 123, "name": "<string>" } ] } } ], "paging": { "page": 123, "page_size": 123, "total_count": 123 } }
The affiliate's API key generated from the Affiliate Portal. Uses the X-Eflow-Api-Key header.
Optional list of offer IDs to filter deals by. If omitted, returns deals for all offers the affiliate can access.
Page number for pagination (1-based).
Number of results per page.
Array of deals matching the filter criteria.
Show child attributes
Pagination metadata.
Was this page helpful?